local mod = foundation.createMod();



mod:dofile("scripts/map.lua")
mod:dofile("scripts/quarry.lua")
-- mod:dofile("scripts/bridge.lua")


-- -- registering map files
-- mapMod:registerAssetId("maps/heightmap.png", "HEIGHT_MAP")
-- mapMod:registerAssetId("maps/material_mask.png", "MATERIAL_MASK")
-- mapMod:registerAssetId("maps/berries_density.png", "BERRIES_DENSITY_MAP")
-- mapMod:registerAssetId("maps/rock_density.png", "ROCK_DENSITY_MAP")
-- mapMod:registerAssetId("maps/fish_density.png", "FISH_DENSITY_MAP")
-- mapMod:registerAssetId("maps/tree_density_map1.png", "TREE_DENSITY_MAP1")

-- -- register custom map
-- mapMod:register({
-- 	DataType = "CUSTOM_MAP",
-- 	Id = "MAP_AALSMEER",
-- 	HeightMap = "HEIGHT_MAP",
-- 	MaterialMask = "MATERIAL_MASK",
-- 	MinHeight = -3,
-- 	MaxHeight = 8,
-- 	VillagePathList = {
-- 		{
-- 			Entrance = { 100, 0, 1013 },
-- 			Exit = { 100, 0, 202 },
-- 		},
-- 		{
-- 			Entrance = { 150, 0, 1013 },
-- 			Exit = { 150, 0, 202 },
-- 		},
-- 		{
-- 			Entrance = { 200, 0, 1013 },
-- 			Exit = { 200, 0, 13 },
-- 		},
-- 		{
-- 			Entrance = { 250, 0, 1013 },
-- 			Exit = { 250, 0, 13 },
-- 		},
-- 		{
-- 			Entrance = { 300, 0, 1013 },
-- 			Exit = { 300, 0, 13 },
-- 		},
-- 		{
-- 			Entrance = { 350, 0, 1013 },
-- 			Exit = { 350, 0, 13 },
-- 		},
-- 		{
-- 			Entrance = { 400, 0, 1013 },
-- 			Exit = { 400, 0, 13 },
-- 		},
-- 		{
-- 			Entrance = { 450, 0, 1013 },
-- 			Exit = { 450, 0, 13 },
-- 		},
-- 		{
-- 			Entrance = { 500, 0, 1013 },
-- 			Exit = { 500, 0, 13 },
-- 		},
-- 	},
-- 	SpawnList = {
-- 		-- {
-- 		-- 	Prefab = "PREFAB_MINERAL_SOURCE_3",
--         --     Position = { 162, 16, 582 },
--         --     Orientation = { 0 , 127, 0 },
--         -- },
-- 		-- {
-- 		-- 	Prefab = "PREFAB_MINERAL_SOURCE_2",
--         --     Position = { 186, 22, 523 },
--         --     Orientation = { 0 , 49, 0 },
--         -- },
-- 		-- {
-- 		-- 	Prefab = "PREFAB_MINERAL_SOURCE_1",
--         --     Position = { 121, 73, 352 },
--         --     Orientation = { 0 , 29, 0 },
--         -- },
-- 		-- {
-- 		-- 	Prefab = "PREFAB_MINERAL_SOURCE_3",
--         --     Position = { 106, 55, 478 },
--         --     Orientation = { 0 , -3, 0 },
--         -- },
-- 		-- {
-- 		-- 	Prefab = "PREFAB_MINERAL_SOURCE_2",
--         --     Position = { 136, 41, 693 },
--         --     Orientation = { 0 , 110, 0 },
--         -- },
-- 		-- {
-- 		-- 	Prefab = "PREFAB_MINERAL_SOURCE_1",
--         --     Position = { 144, 45, 747 },
--         --     Orientation = { 0 , 73, 0 },
--         -- },
-- 		-- {
-- 		-- 	Prefab = "PREFAB_MINERAL_SOURCE_3",
--         --     Position = { 150, 39, 653 },
--         --     Orientation = { 0 , 36, 0 },
--         -- },
-- 		-- {
-- 		-- 	Prefab = "PREFAB_MINERAL_SOURCE_2",
--         --     Position = { 901, 65, 327 },
--         --     Orientation = { 0 , -158, 0 },
--         -- },
-- 		-- {
-- 		-- 	Prefab = "PREFAB_MINERAL_SOURCE_1",
--         --     Position = { 968, 69, 312 },
--         --     Orientation = { 0 , -138, 0 },
--         -- },
-- 		-- {
-- 		-- 	Prefab = "PREFAB_MINERAL_SOURCE_3",
--         --     Position = { 958, 71, 239 },
--         --     Orientation = { 0 , -17, 0 },
--         -- },
-- 		-- {
-- 		-- 	Prefab = "PREFAB_MINERAL_SOURCE_2",
--         --     Position = { 934, 64, 182 },
--         --     Orientation = { 0 , -100, 0 },
--         -- },
-- 		-- {
-- 		-- 	Prefab = "PREFAB_MINERAL_SOURCE_1",
--         --     Position = { 924, 63, 576 },
--         --     Orientation = { 0 , -95, 0 },
--         -- },
-- 		-- {
-- 		-- 	Prefab = "PREFAB_MINERAL_SOURCE_3",
--         --     Position = { 934, 54, 493 },
--         --     Orientation = { 0 , -40, 0 },
--         -- },
-- 		-- {
-- 		-- 	Prefab = "PREFAB_MINERAL_SOURCE_2",
--         --     Position = { 873, 85, 807 },
--         --     Orientation = { 0 , 159, 0 },
--         -- },
-- 		-- {
-- 		-- 	Prefab = "PREFAB_MINERAL_SOURCE_1",
--         --     Position = { 536, 41, 71 },
--         --     Orientation = { 0 , -167, 0 },
--         -- },
-- 		-- {
-- 		-- 	Prefab = "PREFAB_MINERAL_SOURCE_3",
--         --     Position = { 514, 45, 99 },
--         --     Orientation = { 0 , -66, 0 },
--         -- },
-- 		-- {
-- 		-- 	Prefab = "PREFAB_MINERAL_SOURCE_2",
--         --     Position = { 437, 44, 104 },
--         --     Orientation = { 0 , 113, 0 },
--         -- },
-- 	},
-- 	DensitySpawnList = {
--         {
-- 			-- creating Tree Density Map1
-- 			DensityMap = "TREE_DENSITY_MAP1",
-- 			Density = 0.9,
-- 			PrefabConfigList = {
-- 				{
-- 						PrefabList = { "PREFAB_TREE_OAK" },
-- 						RandomWeight = 2.0,
-- 						OffsetSizeRange = {
-- 							Min = 0.75,
-- 							Max = 1.25
-- 					},
-- 						OrientationRange = {
-- 							Min = { 0, -180, 0 },
-- 							Max = { 0, 180, 0 }
-- 					},
-- 						ScaleRange = {
-- 							Min = 0.75,
-- 							Max = 1.25
-- 					},
-- 						ColorRange = {
-- 							Min = { 0.8,0.8,0.8,1 },
-- 							Max = { 1,1,1,1 }
-- 					}
-- 				},
-- 				{
-- 						PrefabList = { "PREFAB_TREE_SYCAMORE" },
-- 						RandomWeight = 1.0,
-- 						OffsetSizeRange = {
-- 							Min = 0.75,
-- 							Max = 1.25
-- 					},
-- 						OrientationRange = {
-- 							Min = { 0, -180, 0 },
-- 							Max = { 0, 180, 0 }
-- 					},
-- 						ScaleRange = {
-- 							Min = 0.75,
-- 							Max = 1.25
-- 					},
-- 						ColorRange = {
-- 							Min = { 0.8,0.8,0.8,1 },
-- 							Max = { 1,1,1,1 }
-- 					}
-- 				},
-- 				{
-- 						PrefabList = { "PREFAB_TREE_POPLAR" },
-- 						RandomWeight = 0.5,
-- 						OffsetSizeRange = {
-- 							Min = 0.75,
-- 							Max = 1.25
-- 					},
-- 						OrientationRange = {
-- 							Min = { 0, -180, 0 },
-- 							Max = { 0, 180, 0 }
-- 					},
-- 						ScaleRange = {
-- 							Min = 0.75,
-- 							Max = 1.25
-- 					},
-- 						ColorRange = {
-- 							Min = { 0.8,0.8,0.8,1 },
-- 							Max = { 1,1,1,1 }
-- 					}
-- 				}
-- 			}
-- 		},
--         {
-- 			-- Create forest of berry bushes
-- 			DensityMap = "BERRIES_DENSITY_MAP",
-- 			Density =0.9,
-- 			PrefabConfigList = {
-- 				{
-- 						PrefabList = { "PREFAB_RESOURCE_BERRIES" },
-- 						RandomWeight = 0.1,
-- 						OffsetSizeRange = {
-- 							Min = 0.75,
-- 							Max = 1.0
-- 					},
-- 						OrientationRange = {
-- 							Min = { 0, -180, 0 },
-- 							Max = { 0, 180, 0 }
-- 					},
-- 						ScaleRange = {
-- 							Min = 0.85,
-- 							Max = 1.15
-- 					},
-- 						ColorRange = {
-- 							Min = { 0.8, 0.8, 0.8, 1 },
-- 							Max = { 1, 1, 1, 1 }
-- 					}
-- 				}
-- 			}
-- 		},
-- 		{
-- 			-- Create rock outcrops - stone resource
-- 			DensityMap = "ROCK_DENSITY_MAP",
-- 			Density =0.9,
-- 			PrefabConfigList = {
-- 				{
-- 						PrefabList = { "PREFAB_RESOURCE_ROCK" },
-- 						RandomWeight = 0.1,
-- 						OffsetSizeRange = {
-- 							Min = 0.75,
-- 							Max = 1.0
-- 					},
-- 						OrientationRange = {
-- 							Min = { 0, -180, 0 },
-- 							Max = { 0, 180, 0 }
-- 					},
-- 						ScaleRange = {
-- 							Min = 0.85,
-- 							Max = 1.15
-- 					},
-- 						ColorRange = {
-- 							Min = { 0.8, 0.8, 0.8, 1 },
-- 							Max = { 1, 1, 1, 1 }
-- 					}
-- 				}
-- 			}
-- 		},
-- 		{
-- 			-- Create fish shoals
-- 			DensityMap = "FISH_DENSITY_MAP",
-- 			Density =0.9,
-- 			PrefabConfigList = {
-- 				{
-- 						PrefabList = { "PREFAB_RESOURCE_FISH" },
-- 						RandomWeight = 0.1,
-- 						OffsetSizeRange = {
-- 							Min = 0.75,
-- 							Max = 1.0
-- 					},
-- 						OrientationRange = {
-- 							Min = { 0, -180, 0 },
-- 							Max = { 0, 180, 0 }
-- 					},
-- 						ScaleRange = {
-- 							Min = 0.85,
-- 							Max = 1.15
-- 					},
-- 						ColorRange = {
-- 							Min = { 0.8, 0.8, 0.8, 1 },
-- 							Max = { 1, 1, 1, 1 }
-- 					}
-- 				}
-- 			}
-- 		}
-- 	}
-- })
-- -- This map was created with the help of the UFME
